Bug 20469 - kdelibs (KDE2) doesn't include docs
kdelibs (KDE2) doesn't include docs
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-11-07 09:35 EST by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-08 10:01:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-07 09:35:44 EST
kdelibs-2.0-7.i386.rpm from ftp.kde.org does not include the KDE documentation (/usr/share/doc/HTML/*)
Comment 1 Bernhard Rosenkraenzer 2000-11-08 03:24:13 EST
Oops, the fixed kdoc wasn't installed on the build server.
The spec file is ok, so simply recompiling this on a system with a working kdoc fixes the problem.
The Red Hat Linux 7 version fixes the problem, too.
Comment 2 Need Real Name 2000-11-08 10:01:18 EST
I've recompiled the package, the docs are still not included. I suggest adding

%dir %{prefix}/share/doc

to the %files section of the main package to include the doc files under /usr/share/doc/HTML/*
Comment 3 Bernhard Rosenkraenzer 2000-11-08 10:45:29 EST
Oh, the main package.
It's not supposed to contain the docs.

Since the docs in kdelibs are about the API (programming the libraries), the right place for the docs is in kdelibs-devel, and they're there.

Note You need to log in before you can comment on or make changes to this bug.